package com.buy507.mall;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.web.client.RestTemplate;

/**
 * 应用启动入口
 */
@EnableTransactionManagement
@SpringBootApplication
public class MallAdminApplication {
	
    public static void main(String[] args) {
        SpringApplication.run(MallAdminApplication.class, args);
    }
    
    @Bean
    public RestTemplate restTemplate() {
        return new RestTemplate();
    }
    
}
